<template>
  <v-card>
    <v-img :src="this.confirmedProduct.urlphoto" aspect-ratio="1.7" contain></v-img>
    <v-card-title>{{ confirmedProduct.name }}</v-card-title>
    <v-card-title>Confirmado</v-card-title>

    <span>precio:</span>
    <p class="font-weight-bold">{{ confirmedProduct.price }} Pñ</p>

    <div>
      <v-btn
        depressed
        small
        color="green"
        class="toStock-confirmedProduct"
        @click="goToEditProduct()"
      >Editar</v-btn>
      <v-btn
        v-if="actualUserRole.role == 'admin'"
        depressed
        small
        color="green"
        class="toStock-confirmedProduct"
        @click="myToStockFunction(confirmedProduct)"
      >en venta</v-btn>
      <v-btn
        v-if="actualUserRole.role == 'admin'"
        depressed
        small
        color="orange"
        class="reject-confirmedProduct"
        @click="myRejectFunction(confirmedProduct)"
      >Rechazar</v-btn>
    </div>
  </v-card>
</template>

<script>
export default {
  name: 'EditConfirmedProductsState',
  components: {},
  props: {
    //showMessage: Boolean,
    confirmedProduct: {
      propType: Array,
      required: true
    },
    actualUserRole: String
  },

  data() {
    return {}
  },

  mounted() {},

  methods: {
    myToStockFunction() {
      var r = confirm(
        `¿Quieres cambiar el estado de : 
        ${this.confirmedProduct.name}
         a Disponible ?`
      )
      if (r == true) {
        this.toStockConfirmedProduct()
      }
    },
    toStockConfirmedProduct() {
      this.$emit(
        'to-stock-confirmedProduct-event',
        this.confirmedProduct.idproduct
      )
    },
    myRejectFunction() {
      var r = confirm(
        `¿Quieres cambiar el estado de : 
        ${this.confirmedProduct.name}
         a Rechazado ?`
      )
      if (r == true) {
        this.rejectConfirmedProduct()
      }
    },
    rejectConfirmedProduct() {
      this.$emit(
        'reject-confirmedProduct-event',
        this.confirmedProduct.idproduct
      )
    },
    goToEditProduct() {
      this.$emit('go-to-edit-product', this.confirmedProduct.idproduct)
    }
  }
}
</script>

<style scoped>
/* #confirmedProduct_details {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
} */
img {
  width: 13rem;
  height: 13rem;
}
</style>
